import React, { Component } from 'react';
import { Text } from 'react-native';
import PropTypes from 'prop-types';

export default class H1 extends Component {
  static propTypes = {
    children: PropTypes.node.isRequired,
    marginTop: PropTypes.number,
    marginLeft: PropTypes.number,
    fontSize: PropTypes.number,
    color: PropTypes.string,
    textAlign: PropTypes.string,
    onPress: PropTypes.func,
    fontWeight: PropTypes.string
  };

  static defaultProps = {
    marginTop: 0,
    marginLeft: 0,
    fontSize: 19,
    color: '#4d4d4d',
    textAlign: 'left',
    onPress: null,
    fontWeight: 'normal'
  };

  render() {
    return (
      <Text
        onPress={this.props.onPress}
        style={{
          marginLeft: this.props.marginLeft,
          backgroundColor: 'transparent',
          fontSize: this.props.fontSize,
          color: this.props.color,
          marginTop: this.props.marginTop,
          textAlign: this.props.textAlign,
          fontWeight: this.props.fontWeight
        }}
      >
        { this.props.children }
      </Text>
    );
  }
}
